Subject: Re: [2.6 patch] the scheduled I2C RTC driver removal

From: Jean Delvare <[email-masked]>
Date: Tue, 27 Nov 2007 11:19:34 +0100

On Fri, 2 Nov 2007 23:12:43 +0100, Jean Delvare wrote:
> Hi Adrian,
> 
> On Thu, 1 Nov 2007 00:03:58 +0100, Adrian Bunk wrote:
> > This patch contains the scheduled removal of legacy I2C RTC drivers with 
> > replacement drivers.
> > (...)
> >  Documentation/feature-removal-schedule.txt |    7 
> >  arch/powerpc/platforms/83xx/mpc832x_mds.c  |   24 -
> >  arch/powerpc/platforms/83xx/mpc834x_mds.c  |   24 -
> >  arch/powerpc/platforms/83xx/mpc836x_mds.c  |   24 -
> >  arch/ppc/platforms/83xx/mpc834x_sys.c      |   20 -
> >  arch/ppc/platforms/85xx/tqm85xx.c          |   21 -
> >  arch/ppc/platforms/katana.c                |   21 -
> >  drivers/i2c/chips/Kconfig                  |   38 -
> >  drivers/i2c/chips/Makefile                 |    3 
> >  drivers/i2c/chips/ds1337.c                 |  410 --------------------
> >  drivers/i2c/chips/ds1374.c                 |  267 -------------
> >  drivers/i2c/chips/m41t00.c                 |  413 ---------------------
> >  include/linux/m41t00.h                     |   50 --
> >  13 files changed, 1322 deletions(-)
> 
> Obviously we're not yet ready to remove the drivers, as some platforms
> still use them! The remaining platforms need to be updated to use the
> new RTC drivers first. The mapping is as follows:
> 
> chip       | old driver | new driver   |
> -----------+------------+--------------+
> DS1337     | ds1337     | rtc-ds1307   |
> DS1339     | ds1337     | rtc-ds1307   |
> DS1374     | ds1374     | rtc-ds1374   |
> M41T00     | m41t00     | rtc-ds1307   |
> M41T81     | m41t00     | rtc-m41t80   |
> M41ST85    | m41t00     | rtc-m41t80   |
> 
> So, PPC people, please update your platform code to make use of the new
> drivers now, and let me know when you're done. As soon as all platforms
> are converted, I'll apply Adrian's patch.

As of 2.6.24-rc3-git2, I see that the references to the obsolete
drivers have been removed from arch/powerpc/*. Great, I'll update
Adrian's patch. This leaves only 3 platforms under arch/ppc (83xx, 85xx
and katana) that still need updating. Kumar, Paul, what's the status?

Thanks,
-- 
Jean Delvare